- MongoDB C Driver 1.9.3-dev »
- API Reference »
- mongoc_find_and_modify_opts_t

# mongoc_find_and_modify_opts_new()

## Synopsis

    mongoc_find_and_modify_opts_t *
    mongoc_find_and_modify_opts_new (void);

## Returns

Creates a newly allocated find and modify builder structure that is used to create a findAndModify command. This should be freed with mongoc_find_and_modify_opts_destroy() when no longer in use.

Created using Sphinx 1.6.6, based on Sphinx Readable Theme.